summaryrefslogtreecommitdiffstats
path: root/system-build/examples/hooks/minimal.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/examples/hooks/minimal.hook.chroot')
-rwxr-xr-xsystem-build/examples/hooks/minimal.hook.chroot33
1 files changed, 33 insertions, 0 deletions
diff --git a/system-build/examples/hooks/minimal.hook.chroot b/system-build/examples/hooks/minimal.hook.chroot
new file mode 100755
index 0000000..d13ba42
--- /dev/null
+++ b/system-build/examples/hooks/minimal.hook.chroot
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+# Removing unused packages
+for PACKAGE in apt-utils aptitude man-db manpages info wget
+do
+ if ! apt-get remove --purge --yes "${PACKAGE}"
+ then
+ echo "WARNING: ${PACKAGE} isn't installed"
+ fi
+done
+
+apt-get autoremove --yes || true
+
+# Removing unused files
+find . -name *~ -print0 | xargs -0 rm -f
+
+rm -rf /var/cache/man/*
+
+# Truncating logs
+for FILE in $(find /var/log/ -type f)
+do
+ : > ${FILE}
+done